---
title: llarp::EndpointBase::QUICMappingInfo
summary: info about a quic mapping 

---

# llarp::EndpointBase::QUICMappingInfo



info about a quic mapping 


`#include <endpoint_base.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::optional< [dns::SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) > | **[srv](Classes/structllarp_1_1EndpointBase_1_1QUICMappingInfo.md#variable-srv)** <br>srv data if it was provided  |
| [SockAddr](Classes/structllarp_1_1SockAddr.md) | **[localAddr](Classes/structllarp_1_1EndpointBase_1_1QUICMappingInfo.md#variable-localaddr)** <br>address we are bound on  |
| std::optional< std::string > | **[remoteName](Classes/structllarp_1_1EndpointBase_1_1QUICMappingInfo.md#variable-remotename)** <br>the remote's lns name if we have one  |
| AddressVariant_t | **[remoteAddr](Classes/structllarp_1_1EndpointBase_1_1QUICMappingInfo.md#variable-remoteaddr)** <br>the remote's address  |
| uint16_t | **[remotePort](Classes/structllarp_1_1EndpointBase_1_1QUICMappingInfo.md#variable-remoteport)** <br>the remote's port we are connecting to  |

## Public Attributes Documentation

### variable srv

```cpp
std::optional< dns::SRVData > srv;
```

srv data if it was provided 

### variable localAddr

```cpp
SockAddr localAddr;
```

address we are bound on 

### variable remoteName

```cpp
std::optional< std::string > remoteName;
```

the remote's lns name if we have one 

### variable remoteAddr

```cpp
AddressVariant_t remoteAddr;
```

the remote's address 

### variable remotePort

```cpp
uint16_t remotePort;
```

the remote's port we are connecting to 

-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000